Build #3 for gen-imports-0.1.0.2

[all reports]

Package gen-imports-0.1.0.2
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2018-01-17 14:37:42.341501138 UTC
Compiler ghc-8.2.2
OS linux
Arch x86_64
Dependencies Cabal-2.0.1.0, base-4.10.1.0, bytestring-0.10.8.2, containers-0.5.10.2, filepath-1.4.1.2, hackage-db-1.22, pretty-1.1.3.3
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring utf8-string-1.0.1.1...
Configuring tar-0.5.0.3...
Building utf8-string-1.0.1.1...
Building tar-0.5.0.3...
Installed utf8-string-1.0.1.1
Installed tar-0.5.0.3
Configuring hackage-db-1.22...
Building hackage-db-1.22...
Installed hackage-db-1.22
Configuring gen-imports-0.1.0.2...
Building gen-imports-0.1.0.2...
Failed to install gen-imports-0.1.0.2
Build log ( /home/builder/.cabal/logs/ghc-8.2.2/gen-imports-0.1.0.2-KhRSQ6biUYeCwufr6OfZvH.log ):
cabal: Entering directory '/tmp/cabal-tmp-3100/gen-imports-0.1.0.2'
Configuring gen-imports-0.1.0.2...
Preprocessing library for gen-imports-0.1.0.2..
Building library for gen-imports-0.1.0.2..
[1 of 1] Compiling Distribution.Hackage.Imports.Generate ( src/Distribution/Hackage/Imports/Generate.hs, dist/build/Distribution/Hackage/Imports/Generate.o )

src/Distribution/Hackage/Imports/Generate.hs:15:30: error:
    Module
    ‘Distribution.Version’
    does not export
    ‘Version(versionBranch)’
   |
15 | import Distribution.Version (Version(versionBranch))
   |                              ^^^^^^^^^^^^^^^^^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-3100/gen-imports-0.1.0.2'
cabal: Error: some packages failed to install:
gen-imports-0.1.0.2-KhRSQ6biUYeCwufr6OfZvH failed during the building phase.
The exception was:
ExitFailure 1